Package org.eclipse.ecf.core.sharedobject

# Class SharedObjectAddAbortException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.core.sharedobject.SharedObjectAddException
org.eclipse.ecf.core.sharedobject.SharedObjectAddAbortException

All Implemented Interfaces:
  `Serializable`

public class SharedObjectAddAbortException extends SharedObjectAddException
Exception thrown during transactional add of shared object

See Also:
  - `ISharedObjectContainerTransaction.waitToCommit()`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map`
`causes`
`protected List`
`participants`
`protected long`
`timeout`

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectAddAbortException()`
`SharedObjectAddAbortException(String arg0)`
`SharedObjectAddAbortException(String msg, Throwable cause)`
`SharedObjectAddAbortException(String msg, Throwable cause, int timeout)`
`SharedObjectAddAbortException(String msg, List participants, Map causes, int timeout)`
`SharedObjectAddAbortException(String msg, Map causes, int timeout)`
`SharedObjectAddAbortException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getCauses()`
`long`
`getTimeout()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### timeout

protected long timeout

### causes

protected Map causes

### participants

protected List participants

## Constructor Details

### SharedObjectAddAbortException

public SharedObjectAddAbortException()

### SharedObjectAddAbortException

public SharedObjectAddAbortException(String arg0)

### SharedObjectAddAbortException

public SharedObjectAddAbortException(String msg, Throwable cause)

### SharedObjectAddAbortException

public SharedObjectAddAbortException(String msg, Throwable cause, int timeout)

### SharedObjectAddAbortException

public SharedObjectAddAbortException(String msg, Map causes, int timeout)

### SharedObjectAddAbortException

public SharedObjectAddAbortException(String msg, List participants, Map causes, int timeout)

### SharedObjectAddAbortException

public SharedObjectAddAbortException(Throwable cause)

## Method Details

### getTimeout

public long getTimeout()

### getCauses

public Map getCauses()